Custom hostnames
The DNS records to publish: TXT ownership proof, CNAME target and Cloudflare DCV records (scope: sites:read)
GET
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringCustom hostname id
Format
uuidOK
application/json- response
data*error*nullcurl -X GET "https://example.com/custom-hostnames/497f6eca-6276-4993-bfeb-53cbbbba6f08/dns-instructions"{ "data": { "target": "store", "status": "pending_verification", "ssl_status": "none", "txt": { "host": "string", "value": "string" }, "cname": { "host": "string", "value": "string" }, "dcv": [ { "txt_name": "string", "txt_value": "string", "http_url": "string", "http_body": "string" } ], "cf": { "hostname_status": "string", "ssl_status": "string" } }, "error": null}